<?php
/**
 * Plugin Name: Coil Install
 * Plugin URI: https://thedmlab.com/blog/coil-payments-wordpress-plugin-xrp/
 * Description: Easily install your coil tag on a wordpress website
 * Version: 1.0.0
 * Author: Chris Tipping
 * Author URI: https://thedmlab.com
 * License: GPL2
 */
 


add_action( 'wp_head', 'coil_tags' );
function coil_tags() {

$coil_connect =   esc_attr(get_option('payment_link')); ?>



<meta name="monetization" content="<?php echo $coil_connect ?>" /> 


<?php } 



add_action('admin_menu', 'coil_menu');

function coil_menu() {
	add_menu_page('Coil Settings', 'Coil Settings', 'administrator', 'coil-settings', 'coil_settings_page', 'dashicons-admin-generic');
}

function coil_settings_page() {?>
	<div class="wrap">
<h2>Payment pointer info</h2>

<form method="post" action="options.php">
    <?php settings_fields( 'coil-settings-group' ); ?>
    <?php do_settings_sections( 'coil-settings-group' ); ?>
    <table class="form-table">
        <tr valign="top">
        <th scope="row">Enter your payment pointer( please get a link for your <a href="https://coil.com/account" target="_blank">payment provider here</a>) </th>
        <td><input type="text" name="payment_link" value="<?php echo esc_attr( get_option('payment_link'));?>" /></td>
        </tr>
         
      
    </table>
    
    <?php submit_button(); ?>
    <p> Once submitted you can check its working correctly by visiting here: <a href="https://fudbingo.com/coilchecker" target="_blank">Coil Checker</a></p>

</form>
</div>
<div class="wrap">
<h2>Coil Info</h2>
  <p>Become a Creator</p>


  <p>If you have a youtube channel or website, that you want to WM-enable, join Coil as a content creator.</p>
  <p>Getting great content on the web takes a lot of effort and we want great content to get recognized and supported. So, content creators keep creating.</p>
<h2>What is Coil?</h2>


<p>Coil is a community of content creators and contributers. Contributers pay a monthly subscription and while surfing content from creators, Coil will pay money out to them.</p>


<p>Start getting support from the Coil community by making your web content WM-enabled.
	
</p>
<p>
	Visit your account or set-up one here:
<br>
	<a href="https://coil.com/account" target="_blank">Login / register</a>
</p>
	<p>Plugin developed by <a href="https://thedmlab.com">The DM Lab</a> please consider donating XRP – rPVMhWBsfF9iMXYj3aAzJVkPDTFNSyWdKy</p>
</div>
<?php } 

add_action( 'admin_init', 'coil_settings' );

function coil_settings() {
	register_setting( 'coil-settings-group', 'payment_link' );
	
}



?>